Classes, traits, and interfaces - main - drupal
Introduction to classes
A lot of the PHP code in Drupal is object oriented (OO), making use of PHP classes, interfaces, and traits. See the Objected-oriented programming conventions for more information.
See also
Objected-oriented programming conventions
File
-
core/
core.api.php, line 1529
| Name | Deprecated | Object type | Namespace | File name | Summary | Direct uses | Use statements | Strings |
|---|---|---|---|---|---|---|---|---|
| AdminTest | class | Drupal\Tests\system\Functional\System | core/ |
Tests output on administrative pages and compact mode functionality. | ||||
| AdminUiTest | class | Drupal\Tests\ckeditor5\FunctionalJavascript | core/ |
Tests for CKEditor 5 in the admin UI. | ||||
| AdminVerticalTabsTest | class | Drupal\KernelTests\Core\Theme | core/ |
Confirms that Admin can render vertical tabs correctly. | ||||
| AdminViewsBulkOperationsTest | class | Drupal\FunctionalJavascriptTests\Theme | core/ |
Tests Admin's Views Bulk Operations form. | ||||
| AdminViewsUiTest | class | Drupal\FunctionalJavascriptTests\Theme | core/ |
Runs tests on Views UI using Admin. | ||||
| AdvancedSettingsForm | class | Drupal\views_ui\Form | core/ |
Form builder for the advanced admin settings page. | ||||
| AdvisoriesConfigSubscriber | class | Drupal\system\EventSubscriber | core/ |
Defines a config subscriber for changes to 'system.advisories'. | 2 | |||
| AdvisoryFeedTestHooks | class | Drupal\advisory_feed_test\Hook | core/ |
Hook implementations for advisory_feed_test. | ||||
| AdvisoryTestClientMiddleware | class | Drupal\advisory_feed_test | core/ |
Overrides the User-Agent HTTP header for outbound HTTP requests. | 1 | 2 | ||
| AdvisoryTestController | class | Drupal\advisory_feed_test\Controller | core/ |
Defines a controller to return JSON for security advisory tests. | ||||
| AfterCommand | class | Drupal\Core\Ajax | core/ |
An AJAX command for calling the jQuery after() method. | 2 | |||
| AggregationTest | class | Drupal\Tests\views\Kernel | core/ |
A basic aggregation test for Views. | ||||
| AHooks | class | Drupal\aaa_hook_order_test\Hook | core/ |
Provides hook implementations for testing the execution order of hooks. | 1 | |||
| AjaxBasePageNegotiator | class | Drupal\Core\Theme | core/ |
Defines a theme negotiator that deals with the active theme on ajax requests. | 1 | 2 | ||
| AjaxBasePageNegotiatorTest | class | Drupal\Tests\Core\Theme | core/ |
Tests Drupal\Core\Theme\AjaxBasePageNegotiator. | ||||
| AjaxBlockTest | class | Drupal\Tests\layout_builder\FunctionalJavascript | core/ |
Ajax blocks tests. | ||||
| AjaxCallbacksTest | class | Drupal\FunctionalJavascriptTests\Ajax | core/ |
Tests Ajax callbacks on FAPI elements. | ||||
| AjaxCommandsTest | class | Drupal\Tests\Core\Ajax | core/ |
Test coverage for various classes in the \Drupal\Core\Ajax namespace. | ||||
| AjaxFileManagedMultipleTest | class | Drupal\Tests\file\FunctionalJavascript | core/ |
Tests ajax upload to managed files. | ||||
| AjaxFormBlock | class | Drupal\ajax_forms_test\Plugin\Block | core/ |
Provides an AJAX form block. | ||||
| AjaxFormCacheTest | class | Drupal\FunctionalJavascriptTests\Ajax | core/ |
Tests the usage of form caching for AJAX forms. | ||||
| AjaxFormHelperTrait | trait | Drupal\Core\Ajax | core/ |
Provides a helper to for submitting an AJAX form. | 5 | |||
| AjaxFormImageButtonTest | class | Drupal\FunctionalJavascriptTests\Ajax | core/ |
Tests the Ajax image buttons work with key press events. | ||||
| AjaxFormPageCacheTest | class | Drupal\FunctionalJavascriptTests\Ajax | core/ |
Performs tests on AJAX forms in cached pages. | ||||
| AjaxFormsTestAjaxElementsForm | class | Drupal\ajax_forms_test\Form | core/ |
Builds a form where each Form API element triggers a simple Ajax callback. | 1 | |||
| AjaxFormsTestCommandsForm | class | Drupal\ajax_forms_test\Form | core/ |
Form constructor for the Ajax Command display form. | 1 | |||
| AjaxFormsTestImageButtonForm | class | Drupal\ajax_forms_test\Form | core/ |
Form builder: Builds a form that has image button with an ajax callback. | 1 | |||
| AjaxFormsTestLazyLoadForm | class | Drupal\ajax_forms_test\Form | core/ |
Form builder: Builds a form that triggers a simple AJAX callback. | 1 | |||
| AjaxFormsTestSimpleForm | class | Drupal\ajax_forms_test\Form | core/ |
Form builder: Builds a form that triggers a simple AJAX callback. | 1 | |||
| AjaxFormsTestValidationForm | class | Drupal\ajax_forms_test\Form | core/ |
Form builder: Builds a form that triggers a simple AJAX callback. | 1 | |||
| AjaxHelperTrait | trait | Drupal\Core\Ajax | core/ |
Provides a helper to determine if the current request is via AJAX. | 9 | |||
| AjaxInGroupTest | class | Drupal\FunctionalJavascriptTests\Ajax | core/ |
Tests that form elements in groups work correctly with AJAX. | ||||
| AjaxMaintenanceModeTest | class | Drupal\FunctionalJavascriptTests\Ajax | core/ |
Tests maintenance message during an AJAX call. | ||||
| AjaxPageState | class | Drupal\Core\StackMiddleware | core/ |
Expands the compressed ajax_page_state query parameter into an array. | 1 | 2 | ||
| AjaxPageStateTest | class | Drupal\Tests\Core\StackMiddleware | core/ |
Tests Drupal\Core\StackMiddleware\AjaxPageState. | ||||
| AjaxPageStateTest | class | Drupal\Tests\system\Functional\Render | core/ |
Performs tests for the effects of the ajax_page_state query parameter. | ||||
| AjaxRenderer | class | Drupal\Core\Render\MainContent | core/ |
Default main content renderer for Ajax requests. | 1 | 2 | ||
| AjaxRendererTest | class | Drupal\Tests\Core\Controller | core/ |
Tests Drupal\Core\Render\MainContent\AjaxRenderer. | ||||
| AjaxResponse | class | Drupal\Core\Ajax | core/ |
JSON response object for AJAX requests. | 2 | 47 | ||
| AjaxResponseAttachmentsProcessor | class | Drupal\Core\Ajax | core/ |
Processes attachments of AJAX responses. | 2 | |||
| AjaxResponseSubscriber | class | Drupal\Core\EventSubscriber | core/ |
Response subscriber to handle AJAX responses. | 4 | 2 | ||
| AjaxResponseTest | class | Drupal\Tests\Core\Ajax | core/ |
Tests Drupal\Core\Ajax\AjaxResponse. | ||||
| AjaxTest | class | Drupal\FunctionalJavascriptTests\Ajax | core/ |
Tests AJAX responses. | ||||
| AjaxTest | class | Drupal\Tests\olivero\FunctionalJavascript | core/ |
Tests AJAX responses. | ||||
| AjaxTestCommandReturnPromise | class | Drupal\ajax_test\Ajax | core/ |
Test Ajax command. | 1 | |||
| AjaxTestController | class | Drupal\ajax_test\Controller | core/ |
Provides content for dialog tests. | 3 | |||
| AjaxTestDialogForm | class | Drupal\ajax_test\Form | core/ |
Dummy form for testing DialogRenderer with _form routes. | ||||
| AjaxTestFocusFirstForm | class | Drupal\ajax_test\Form | core/ |
Form for testing AJAX FocusFirstCommand. | 1 | |||
| AjaxTestForm | class | Drupal\ajax_test\Form | core/ |
Dummy form for testing DialogRenderer with _form routes. | 1 | |||
| AjaxTestFormPromise | class | Drupal\ajax_test\Form | core/ |
Test form for ajax_test_form_promise. | 1 |
Pagination
- Previous page
- Page 4
- Next page
Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.